# frozen_string_literal: true

module AwsAmiCleanup
  class Commands < Thor
    desc "clean_amis", "delete unused AMIs owned by ami_owner with ami_name name"
    option :ami_name, required: true
    option :ami_owner, required: true
    option :number_of_amis_to_keep, required: false
    option :region, required: false
    option :skip_verification, type: :boolean, required: false
    option :dry_run, type: :boolean, required: false
    def clean_amis
      cleanup_amis = AwsAmiCleanup::CleanupAmis.new(
                      region,
                      options[:number_of_amis_to_keep]&.to_i,
                      options[:skip_verification]
                    )

      cleanup_amis.execute!(ami_name: options[:ami_name],
                            ami_owner: options[:ami_owner],
                            dry_run: options[:dry_run])
    end

    desc "console", "interactive session"
    def console
      require 'byebug'
      byebug
    end

    protected

    def region
      options[:region] || 'us-east-1'
    end
  end
end
